SSS_USERDEL(8)

NAME
sss_userdel - suprimeix el compte d'un usuari

SYNOPSIS

sss_userdel [opcions] USUARI

DESCRIPCIÓ

sss_userdel suprimeix un usuari identificat amb el nom d'usuari USUARI del sistema.

OPCIONS

-?,--help
    Mostra el missatge d'ajuda i surt.

-r,--remove
    Els fitxers al directori inicial de l'usuari seran eliminats juntament amb el mateix directori inicial i la gestió de cues del correu de l'usuari. Substitueix la configuració.

-R,--no-remove
    Els fitxers al directori inicial de l'usuari no seran eliminats juntament amb el mateix directori inicial i la gestió de cues del correu de l'usuari. Substitueix la configuració.

-f,--force
    Aquesta opció obliga a sss_userdel a suprimir el directori inicial i la gestió de cues del correu de l'usuari, encara que no siguin de la propietat de l'usuari especificat.

-k,--kick
    Abans d'eliminar realment a l'usuari, acaba tots els seus processos.

EL DOMINI LOCAL

Per a un funcionament correcte, s'ha de crear un domini amb “id_provider=local” i l'SSSD ha d'estar en execució.

L'administrador pot ser que vulgui utilitzar els usuaris locals de l'SSSD en lloc dels usuaris tradicionals d'UNIX en els casos en què es requereixi la imbricació dels grups (vegeu sss_groupadd(8)). Els usuaris locals també són útils per provar i desplegar l'SSSD sense haver de desplegar tot un servidor remot. Les eines sss_user* i sss_group* utilitzen l'emmagatzematge LDB local per emmagatzemar els usuaris i els grups.

VEGEU TAMBÉ

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/